import { useState, useEffect } from '@tarojs/taro';
import { fetchPayConfig, PayConfig, PayTypeVo } from '@/api/account';

let initPayConfigList: PayConfig[] = [];
let initPaywayList: PayTypeVo[] = [];

const usePaywayList = (areaId: number, customerId: number) => {
  const [paywayList, setPaywayList] = useState(initPaywayList);
  const [payConfigList, setPayConfigList] = useState(initPayConfigList);
  const [isFirstRecharge, setIsFirstRecharge] = useState(0);

  const fetchDate = (areaId: number, customerId: number) => {
    fetchPayConfig({
      areaId,
      customerId,
    })
      .then(res => {
        console.log(res);
        const {
          isFirstRecharge,
          listPayList,
          listRechargeConfDetail,
        } = res.data;
        setPayConfigList(listRechargeConfDetail);
        setPaywayList(listPayList);
        setIsFirstRecharge(isFirstRecharge);
      })
      .catch(console.error);
  };
  useEffect(() => {
    fetchDate(areaId, customerId);
  }, [areaId, customerId]);

  return {
    isFirstRecharge,
    paywayList,
    payConfigList,
  };
};

export default usePaywayList;
