import { Customer } from '@/types/Customer/Customer';
import { useEffect, useState } from '@tarojs/taro';
import { fetchPayOrder, fetchOrderDetailAndPay } from '@/api/order';

const useWaitPayOrderState = (userinfo: Customer) => {
  const [payOrderState, setPayOrderState] = useState(false);
  const [accountList, setAccountList] = useState([]);
  const [orderInfo, setOrderInfo] = useState(null);
  const [payInfos, setPayInfos] = useState(null);

  useEffect(() => {
    fetchPayOrder({
      customerId: userinfo.customerId,
    })
      .then(res => {
        if (res.data.length) {
          fetchOrderDetailAndPay({ id: res.data[0].id })
            .then(({ accounts, orderInfo, payInfos }) => {
              setAccountList(accounts);
              setOrderInfo(orderInfo);
              setPayInfos(payInfos);
            })
            .catch(err => {
              console.log(err);
            });
          setPayOrderState(true);
        }
      })
      .catch(err => {
        console.log(err);
      });
  }, [userinfo]);

  return {
    payOrderState,
    accountList,
    orderInfo,
    payInfos,
  };
};

export default useWaitPayOrderState;
